package cn.com.poc.thirdparty.resource.demand.ai.plugin_business.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.thirdparty.resource.demand.ai.plugin_business.entity.BizPluginBusinessEntity;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;

public interface BizPluginBusinessService extends BaseService {

    BizPluginBusinessEntity get(Integer id) throws Exception;

    List<BizPluginBusinessEntity> findByExample(BizPluginBusinessEntity example,PagingInfo pagingInfo) throws Exception;
    
    BizPluginBusinessEntity save(BizPluginBusinessEntity entity) throws Exception;

    BizPluginBusinessEntity update(BizPluginBusinessEntity entity) throws Exception;

    void deletedById(Integer id) throws Exception;
    
}